## defcon 0.3.5

=== requirements.txt ===
fonttools==3.13.1
ufoLib==2.1.0
# git+https://github.com/typesupply/compositor

=== debian/changelog ===
defcon (0.3.5-1) unstable; urgency=low

  * Initial release. Closes: #806513

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Sat, 18 Nov 2017 22:11:54 +0800

=== debian/control ===
Source: defcon
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>=10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-fonttools,
               python3-ufolib (>= 2.1.0),
               python3-sphinx
Standards-Version: 4.1.0
Homepage: https://github.com/typesupply/defcon
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/defcon.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/defcon.git
X-Python3-Version: >= 3.4

Package: python3-defcon
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         fonttools (>= 3.13.1),
         python3-ufolib (>= 2.1.0)
Description: UFO based objects for use in font editing applications
 Defcon is a set of UFO based objects optimized for use in font
 editing applications. The objects are built to be lightweight, fast
 and flexible. The objects are very bare-bones and they are not meant
 to be end-all, be-all objects. Rather, they are meant to provide base
 functionality so that you can focus on your application’s behavior,
 not object observing or maintaining cached data. Defcon implements
 UFO3 as described by the UFO font format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	PYTHONPATH=$(CURDIR)/Lib sphinx-build -b html $(CURDIR)/documentation/source/ $(CURDIR)/debian/python3-ufolib/usr/share/doc/ufolib/html/
	dh_sphinxdoc

=== debian/watch ===
version=4
https://github.com/typesupply/defcon/releases \
 .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## defcon 0.5.2

=== debian/changelog ===
defcon (0.5.2-2) unstable; urgency=medium

  * Recommend python3-fontpens

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 09:20:12 -0400

defcon (0.5.2-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream release.
  * debian/control:
    - Update team mailing list address

  [ Jeremy Bicha ]
  * Bump python3-fonttools to >= 3.29.0 & python3-ufolib to >= 2.3.1
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 13:43:59 -0400

=== debian/control ===
Source: defcon
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-fonttools (>= 3.29.0),
               python3-ufolib (>= 2.3.1),
               python3-fontpens (>= 0.1.0),
               python3-sphinx
Standards-Version: 4.1.4
Homepage: https://github.com/typesupply/defcon
Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
Vcs-Browser: https://salsa.debian.org/fonts-team/defcon

Package: python3-defcon
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         fonttools (>= 3.29.0)
Recommends: python3-fontpens (>= 0.1.0)
Description: UFO based objects for use in font editing applications
 Defcon is a set of UFO based objects optimized for use in font
 editing applications. The objects are built to be lightweight, fast
 and flexible. The objects are very bare-bones and they are not meant
 to be end-all, be-all objects. Rather, they are meant to provide base
 functionality so that you can focus on your application’s behavior,
 not object observing or maintaining cached data. Defcon implements
 UFO3 as described by the UFO font format.

## defcon 0.6.0

=== requirements.txt ===
fonttools==3.31.0
# git+https://github.com/typesupply/compositor

=== debian/changelog ===
defcon (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Update team mailing list and uploader address
    - Update dependency
    - Bump policy version to 4.2.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 29 Nov 2018 16:05:57 +0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
+Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 3.29.0),
-               python3-ufolib (>= 2.3.1),
+               python3-fonttools (>= 3.31.0),
                python3-fontpens (>= 0.1.0),
+               python3-appdirs,
                python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/typesupply/defcon
 Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/defcon
@@ -22,7 +22,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
-         fonttools (>= 3.29.0)
+         python3-fonttools (>= 3.31.0)
 Recommends: python3-fontpens (>= 0.1.0)
 Description: UFO based objects for use in font editing applications
  Defcon is a set of UFO based objects optimized for use in font

## defcon 0.7.2

=== requirements.txt ===
fonttools==4.10.2
# git+https://github.com/typesupply/compositor

=== debian/changelog ===
defcon (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * Use debhelper 12
  * debian/control:
    - Bump Standards-Version to 4.5.0
    - Update dependencies from upstream
    - Add sphinxdoc dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 May 2020 10:13:33 +0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 3.31.0),
+               python3-fonttools (>= 4.10.2),
                python3-fontpens (>= 0.1.0),
                python3-appdirs,
                python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/typesupply/defcon
 Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/defcon
@@ -22,7 +22,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-fonttools (>= 3.31.0)
+         ${sphinxdoc:Depends}
 Recommends: python3-fontpens (>= 0.1.0)
 Description: UFO based objects for use in font editing applications
  Defcon is a set of UFO based objects optimized for use in font

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	PYTHONPATH=$(CURDIR)/Lib sphinx-build -b html $(CURDIR)/documentation/source/ $(CURDIR)/debian/python3-defcon/usr/share/doc/defcon/html/
	dh_sphinxdoc

## defcon 0.9.0

=== requirements.txt ===
fonttools==4.26.2
# git+https://github.com/typesupply/compositor

=== debian/changelog ===
defcon (0.9.0-1) unstable; urgency=medium

  [ Hideki Yamane ]
  * New upstream version 0.9.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 14:26:08 +0800

defcon (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

  * debian/control
    - Set Standards-Version: 4.6.0
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Aug 2021 22:59:31 +0900

defcon (0.8.1-1) experimental; urgency=medium

  * Team upload.

  * New upstream version 0.8.1

  * debian/control
    - Update dependency: python3-fonttools (>= 4.21.1)
    - Add Build-Depends: python3-setuptools-scm
  * debian/rules
    - Ignore clean target failure
  * Add debian/source/options
    - Ignore .eggs/* and .pybuild/* changes
    - Also ignore changes in Lib/defcon/_version.py

 -- Hideki Yamane <henrich@debian.org>  Sat, 10 Jul 2021 10:53:22 +0900

defcon (0.7.2-2) unstable; urgency=medium

  * Team upload.

  [ Yao Wei (魏銘廷) ]
  * debian/watch: Change GitHub archive URL

  [ Hideki Yamane ]
  * debian/control
    - Set Standards-Version: 4.5.1
    - Set debhelper-compat (= 13)
    - Add Rules-Requires-Root: no
    - Add Testsuite: autopkgtest-pkg-python

 -- Hideki Yamane <henrich@debian.org>  Sat, 10 Jul 2021 09:36:04 +0900

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 4.10.2),
+               python3-setuptools-scm,
+               python3-fonttools (>= 4.26.2),
                python3-fontpens (>= 0.1.0),
                python3-appdirs,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/typesupply/defcon
 Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/defcon
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-defcon
 Architecture: all

=== debian/watch ===
version=4
https://github.com/typesupply/defcon/releases \
 .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## defcon 0.10.1

=== debian/changelog ===
defcon (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
  * debian/gbp.conf: Use debian/latest as default debian branch for DEP-14
  * debian/control: Bump Standards-Version to 4.6.1; No other changes are
    needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 May 2022 12:44:09 +0800

defcon (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 13 Apr 2022 23:26:40 +0800

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 4.26.2),
+               python3-fonttools (>= 4.28.5),
                python3-fontpens (>= 0.1.0),
                python3-appdirs,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/typesupply/defcon
 Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/defcon

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_sphinxdoc:
 	PYTHONPATH=$(CURDIR)/Lib sphinx-build -b html $(CURDIR)/documentation/source/ $(CURDIR)/debian/python3-defcon/usr/share/doc/defcon/html/
 	dh_sphinxdoc
+
+override_dh_auto_clean:
+	-dh_auto_clean

## defcon 0.10.3

=== requirements.txt ===
fonttools==4.40.0
# git+https://github.com/typesupply/compositor

=== debian/changelog ===
defcon (0.10.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0.
  * debian/control: Switch to use pybuild-plugin-pyproject and
    dh-sequence-python3.
  * debian/control: Migrate to autopkgtest-pkg-pybuild Testsuite for a
    non-superficial test.
  * d/p/b/71fc2f97d3abb0f5c0d6edafdc4b6799dbb442a7.patch:
    Apply upstream trunk commit to fix SyntaxWarning due to invalid escape
    sequence in Python 3.12. (Closes: #1068525)

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Apr 2024 12:50:22 -0400

defcon (0.10.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Drop useless build-dependency on python3-appdirs. (Closes: #1067968)
    + Move package description to the source package section.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 Mar 2024 19:03:01 -0400

defcon (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Update homepage information.
    + Bump Standards-Version to 4.6.2.
  * debian/watch: Fix monitoring script.
  * debian/source/options: Fix extended-diff-ignore syntax.
    (Closes: #1044844)

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Aug 2023 14:20:43 -0400

=== debian/control ===
Source: defcon
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-fonttools (>= 4.28.5),
               python3-fontpens (>= 0.1.0),
               python3-sphinx
Standards-Version: 4.7.0
Homepage: https://github.com/robotools/defcon
Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
Vcs-Browser: https://salsa.debian.org/fonts-team/defcon
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: UFO based objects for use in font editing applications
 Defcon is a set of UFO based objects optimized for use in font
 editing applications. The objects are built to be lightweight, fast
 and flexible. The objects are very bare-bones and they are not meant
 to be end-all, be-all objects. Rather, they are meant to provide base
 functionality so that you can focus on your application’s behavior,
 not object observing or maintaining cached data. Defcon implements
 UFO3 as described by the UFO font format.

Package: python3-defcon
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-fontpens (>= 0.1.0)
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	PYTHONPATH=$(CURDIR)/Lib sphinx-build -b html $(CURDIR)/documentation/source/ $(CURDIR)/debian/python3-defcon/usr/share/doc/defcon/html/

## defcon 0.12.2

=== requirements.txt ===
fonttools==4.59.0
# git+https://github.com/typesupply/compositor

=== debian/changelog ===
defcon (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.3.
  * debian/control: Tighten version requirement of python3-fonttools.
  * debian/control: Add missing build-dep python3-sphinx-rtd-theme.
  * debian/patches/backport/: Dropped, no longer needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jan 2026 10:02:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: defcon
 Section: devel
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -9,14 +8,14 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 4.28.5),
+               python3-fonttools (>= 4.59),
                python3-fontpens (>= 0.1.0),
-               python3-sphinx
-Standards-Version: 4.7.0
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+Standards-Version: 4.7.3
 Homepage: https://github.com/robotools/defcon
 Vcs-Git: https://salsa.debian.org/fonts-team/defcon.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/defcon
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Description: UFO based objects for use in font editing applications
  Defcon is a set of UFO based objects optimized for use in font
